RDKit: RDKit::SGroupWriting Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Typedefs | Functions
RDKit::SGroupWriting Namespace Reference

## Typedefs
typedef std::unordered_map< int, SubstanceGroup > | IDX_TO_SGROUP_MAP

## Functions
std::string | FormatV2000IntField (int value)
std::string | FormatV2000NumEntriesField (int value)
std::string | FormatV2000DoubleField (double value)
std::string | FormatV2000StringField (const std::string &value, unsigned int fieldSize, bool pad, bool addSeparator)
std::string | FormatV3000DoubleField (double value)
std::string | BuildV2000STYLines (const ROMol &mol)
std::string | BuildV2000StringPropLines (const unsigned int entriesPerLine, const ROMol &mol, const std::string &propName, const std::string &propCode, const unsigned int fieldWitdh)
std::string | BuildV2000SLBLines (const ROMol &mol)
std::string | BuildV2000SDSLines (const ROMol &mol)
std::string | BuildV2000SPLLines (const ROMol &mol)
std::string | BuildV2000SNCLines (const ROMol &mol)
std::string | BuildV2000SBTLines (const ROMol &mol)
template<class T>
std::string | BuildV2000IdxVectorDataLines (const unsigned int entriesPerLine, const unsigned int sGroupId, const std::string &code, const T &dataVector)
std::string | BuildV2000SMTLine (const int idx, const SubstanceGroup *sgroup)
std::string | BuildV2000SDILine (const int idx, const SubstanceGroup *sgroup)
std::string | BuildV2000SBVLine (const int idx, const SubstanceGroup *sgroup)
std::string | BuildV2000SDTLine (const int idx, const SubstanceGroup *sgroup)
std::string | BuildV2000SDDLine (const int idx, const SubstanceGroup *sgroup)
std::string | BuildV2000SCDSEDLines (const int idx, const SubstanceGroup *sgroup)
std::string | BuildV2000SAPLines (const int idx, const SubstanceGroup *sgroup)
std::string | BuildV2000SCLLine (const int idx, const SubstanceGroup *sgroup)
const std::string | GetMolFileSGroupInfo (const RWMol &mol)
template<class T>
std::string | BuildV3000IdxVectorDataBlock (const std::string &key, const std::vector< T * > &dataVector)
template<class Iterator>
std::string | BuildV3000IdxVectorDataBlock (const std::string &key, const Iterator &dataVectorBegin, const Iterator &dataVectorEnd)
std::string | BuildV3000BondsBlock (const SubstanceGroup &sgroup)
std::string | FormatV3000StringPropertyBlock (const std::string &prop, const SubstanceGroup &sgroup)
std::string | FormatV3000ParentBlock (const SubstanceGroup &sgroup)
std::string | FormatV3000CompNoBlock (const SubstanceGroup &sgroup)
std::string | FormatV3000BracketBlock (const std::vector< SubstanceGroup::Bracket > brackets)
std::string | FormatV3000CStateBlock (const std::vector< SubstanceGroup::CState > &cstates)
const std::string | GetV3000MolFileSGroupLines (const unsigned int idx, const SubstanceGroup &sgroup)

## Typedef Documentation

## ◆ IDX_TO_SGROUP_MAP

typedef std::unordered_map<int, SubstanceGroup> RDKit::SGroupWriting::IDX_TO_SGROUP_MAP

Definition at line 21 of file MolSGroupWriting.h.

## Function Documentation

## ◆ BuildV2000IdxVectorDataLines()

template<class T>

std::string RDKit::SGroupWriting::BuildV2000IdxVectorDataLines | ( | const unsigned int | entriesPerLine,
|  | const unsigned int | sGroupId,
|  | const std::string & | code,
|  | const T & | dataVector )

## ◆ BuildV2000SAPLines()

std::string RDKit::SGroupWriting::BuildV2000SAPLines | ( | const int | idx,
|  | const SubstanceGroup * | sgroup )

## ◆ BuildV2000SBTLines()

std::string RDKit::SGroupWriting::BuildV2000SBTLines | ( | const ROMol & | mol | ) |

## ◆ BuildV2000SBVLine()

std::string RDKit::SGroupWriting::BuildV2000SBVLine | ( | const int | idx,
|  | const SubstanceGroup * | sgroup )

## ◆ BuildV2000SCDSEDLines()

std::string RDKit::SGroupWriting::BuildV2000SCDSEDLines | ( | const int | idx,
|  | const SubstanceGroup * | sgroup )

## ◆ BuildV2000SCLLine()

std::string RDKit::SGroupWriting::BuildV2000SCLLine | ( | const int | idx,
|  | const SubstanceGroup * | sgroup )

## ◆ BuildV2000SDDLine()

std::string RDKit::SGroupWriting::BuildV2000SDDLine | ( | const int | idx,
|  | const SubstanceGroup * | sgroup )

## ◆ BuildV2000SDILine()

std::string RDKit::SGroupWriting::BuildV2000SDILine | ( | const int | idx,
|  | const SubstanceGroup * | sgroup )

## ◆ BuildV2000SDSLines()

std::string RDKit::SGroupWriting::BuildV2000SDSLines | ( | const ROMol & | mol | ) |

## ◆ BuildV2000SDTLine()

std::string RDKit::SGroupWriting::BuildV2000SDTLine | ( | const int | idx,
|  | const SubstanceGroup * | sgroup )

## ◆ BuildV2000SLBLines()

std::string RDKit::SGroupWriting::BuildV2000SLBLines | ( | const ROMol & | mol | ) |

## ◆ BuildV2000SMTLine()

std::string RDKit::SGroupWriting::BuildV2000SMTLine | ( | const int | idx,
|  | const SubstanceGroup * | sgroup )

## ◆ BuildV2000SNCLines()

std::string RDKit::SGroupWriting::BuildV2000SNCLines | ( | const ROMol & | mol | ) |

## ◆ BuildV2000SPLLines()

std::string RDKit::SGroupWriting::BuildV2000SPLLines | ( | const ROMol & | mol | ) |

## ◆ BuildV2000StringPropLines()

std::string RDKit::SGroupWriting::BuildV2000StringPropLines | ( | const unsigned int | entriesPerLine,
|  | const ROMol & | mol,
|  | const std::string & | propName,
|  | const std::string & | propCode,
|  | const unsigned int | fieldWitdh )

## ◆ BuildV2000STYLines()

std::string RDKit::SGroupWriting::BuildV2000STYLines | ( | const ROMol & | mol | ) |

## ◆ BuildV3000BondsBlock()

std::string RDKit::SGroupWriting::BuildV3000BondsBlock | ( | const SubstanceGroup & | sgroup | ) |

## ◆ BuildV3000IdxVectorDataBlock() [1/2]

template<class Iterator>

std::string RDKit::SGroupWriting::BuildV3000IdxVectorDataBlock | ( | const std::string & | key,
|  | const Iterator & | dataVectorBegin,
|  | const Iterator & | dataVectorEnd )

## ◆ BuildV3000IdxVectorDataBlock() [2/2]

template<class T>

std::string RDKit::SGroupWriting::BuildV3000IdxVectorDataBlock | ( | const std::string & | key,
|  | const std::vector< T * > & | dataVector )

## ◆ FormatV2000DoubleField()

std::string RDKit::SGroupWriting::FormatV2000DoubleField | ( | double | value | ) |
| inline

Definition at line 35 of file MolSGroupWriting.h.

Referenced by FormatV3000DoubleField().

## ◆ FormatV2000IntField()

std::string RDKit::SGroupWriting::FormatV2000IntField | ( | int | value | ) |
| inline

Definition at line 25 of file MolSGroupWriting.h.

## ◆ FormatV2000NumEntriesField()

std::string RDKit::SGroupWriting::FormatV2000NumEntriesField | ( | int | value | ) |
| inline

Definition at line 30 of file MolSGroupWriting.h.

## ◆ FormatV2000StringField()

std::string RDKit::SGroupWriting::FormatV2000StringField | ( | const std::string & | value,
|  | unsigned int | fieldSize,
|  | bool | pad,
|  | bool | addSeparator )
| inline

Definition at line 40 of file MolSGroupWriting.h.

## ◆ FormatV3000BracketBlock()

std::string RDKit::SGroupWriting::FormatV3000BracketBlock | ( | const std::vector< SubstanceGroup::Bracket > | brackets | ) |

## ◆ FormatV3000CompNoBlock()

std::string RDKit::SGroupWriting::FormatV3000CompNoBlock | ( | const SubstanceGroup & | sgroup | ) |

## ◆ FormatV3000CStateBlock()

std::string RDKit::SGroupWriting::FormatV3000CStateBlock | ( | const std::vector< SubstanceGroup::CState > & | cstates | ) |

## ◆ FormatV3000DoubleField()

std::string RDKit::SGroupWriting::FormatV3000DoubleField | ( | double | value | ) |
| inline

Definition at line 57 of file MolSGroupWriting.h.

References FormatV2000DoubleField().

## ◆ FormatV3000ParentBlock()

std::string RDKit::SGroupWriting::FormatV3000ParentBlock | ( | const SubstanceGroup & | sgroup | ) |

## ◆ FormatV3000StringPropertyBlock()

std::string RDKit::SGroupWriting::FormatV3000StringPropertyBlock | ( | const std::string & | prop,
|  | const SubstanceGroup & | sgroup )

## ◆ GetMolFileSGroupInfo()

const std::string RDKit::SGroupWriting::GetMolFileSGroupInfo | ( | const RWMol & | mol | ) |

## ◆ GetV3000MolFileSGroupLines()

const std::string RDKit::SGroupWriting::GetV3000MolFileSGroupLines | ( | const unsigned int | idx,
|  | const SubstanceGroup & | sgroup )